Bug 138325 - CAN-2004-0930 wildcard remote DoS
CAN-2004-0930 wildcard remote DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
embargo=20041108:15,impact=moderate
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-08 04:24 EST by Mark J. Cox (Product Security)
Modified: 2014-08-31 19:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-16 12:37:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch from Samba (10.67 KB, patch)
2004-11-08 04:32 EST, Mark J. Cox (Product Security)
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2004-11-08 04:24:52 EST
Samba told us on Nov07 that Samba <3.0.8 is vulnerable to a remote
DoS.  Public on Nov08 1500 UTC

"A bug in the input validation routines used to match filename strings
containing wildcard characters may allow a user to consume more than
normal amounts of CPU cycles thus impacting the performance and
response of the server."

        CAN-2004-0930 Affects: RHEL3

Embargoed (but only for a few hours).
Comment 2 Mark J. Cox (Product Security) 2004-11-08 04:32:51 EST
Created attachment 106271 [details]
Proposed patch from Samba
Comment 3 Mark J. Cox (Product Security) 2004-11-08 07:30:48 EST
I'll set this as impact "moderate" as it requires an authenticated
samba user to cause the DoS.
Comment 4 Josh Bressers 2004-11-16 10:58:48 EST
This issue does appear to affect RHEL2.1 after all.
Comment 5 Josh Bressers 2004-11-16 12:37:55 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-632.html

Note You need to log in before you can comment on or make changes to this bug.